#!/usr/bin/perl -w
#
# comparesharpness - compare relative sharpness of a number of pictures
#
# This file is part of PhotoPNMTools,
# Release $Name:  $,
# File rev. $Id: comparesharpness.pl,v 1.2 2003/05/02 20:47:03 schooten Exp $.
#
# Copyright (c) 2002, 2003 by B.W. van Schooten. All rights reserved.
# This software is distributed under the Perl Artistic License.
# No warranty. See file 'artistic.license' for more details.
#
# boris@13thmonkey.org
# www.13thmonkey.org/~boris/photopnmtools/
if ($#ARGV < 0) {
        print "\nUsage:\n";
        print "comparesharpness.pl <list of jpegs or pnms>\n\n";
        print "    Returns sorted list of sharpness values as returned by ";
		print "pnmsharpness.\n\n";
		exit 0;
}

@files = @ARGV;

@sharpnessh={};
%sharpness=();

foreach $f (@files) {
	if ($f=~/\.jpg$/ or $f=~/\.JPG$/ or $f=~/\.jpeg$/ or $f=~/\.JPEG$/ ) {
		$cmd = "jpegtopnm <$f | pnmsharpness|";
	} else {
		$cmd = "pnmsharpness <$f|";
	}
	open FILE,$cmd;
	$_ = <FILE>;
	close FILE;
	/Sharpness\s*=\s*(.*)/;
	$sharpnessh{$f} = $1;
	push @sharpness, "$1 ($f)\n";
}
print"Sharpness in ascending order:\n";
open FILE,"|sort -n";
print FILE "@sharpness";
close FILE;

