#!/usr/bin/perl -w
#
# getrotation - get exif rotation as process return value.
#
# This file is part of PhotoPNMTools,
# Release $Name: rel-1-3-0 $,
# File rev. $Id: getexifrotation.pl,v 1.1 2003/03/13 01:25:56 schooten Exp $.
#
# Copyright (c) 2002, 2003 by B.W. van Schooten. All rights reserved.
# This software is distributed under the Perl Artistic License.
# No warranty. See file 'artistic.license' for more details.
#
# boris@13thmonkey.org
# www.13thmonkey.org/~boris/photopnmtools/

if ($#ARGV != 0) {
	print "\nUsage:\n";
	print "getrotation.pl <filename>\n\n";
	print "The process returns (in both return value and on stdout):\n";
	print "  0 if no rotation or no exif data could be read\n";
	print "  1 if the pic should be rotated clockwise\n";
	print "  2 if the pic should be rotated anti-clockwise\n";
}

open JHEADOUT, "jhead $ARGV[0]|";
while (<JHEADOUT>) {
	if (/Orientation.*Rotate.*90/i) {
		print "90\n";
		exit 1;
	} elsif (/Orientation.*rotate.*270/i) {
		exit 2;
		print "270\n";
	}
}
close JHEADOUT;
print "0\n";
exit 0;
